commit:     a4485befd670ac1d079816140690a1647bfdc549
Author:     RobinDX <robin9800xt <AT> gmail <DOT> com>
AuthorDate: Wed Jan 20 04:53:15 2016 +0000
Commit:     Ian Delaney <idella4 <AT> gentoo <DOT> org>
CommitDate: Wed Jan 20 04:53:44 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a4485bef

games-emulation/ppsspp:add qt5 support

 games-emulation/ppsspp/metadata.xml        |  1 +
 games-emulation/ppsspp/ppsspp-1.1.0.ebuild | 30 +++++++++++++++++++++++++---
 games-emulation/ppsspp/ppsspp-1.1.1.ebuild | 32 ++++++++++++++++++++++++++----
 games-emulation/ppsspp/ppsspp-9999.ebuild  | 32 ++++++++++++++++++++++++++----
 4 files changed, 84 insertions(+), 11 deletions(-)

diff --git a/games-emulation/ppsspp/metadata.xml 
b/games-emulation/ppsspp/metadata.xml
index 51a6852..be7e8b7 100644
--- a/games-emulation/ppsspp/metadata.xml
+++ b/games-emulation/ppsspp/metadata.xml
@@ -8,6 +8,7 @@
        </maintainer>
        <use>
                <flag name='qt4'>Adds support for the Qt GUI/Application 
Toolkit version 4.x</flag>
+               <flag name='qt5'>Adds support for the Qt GUI/Application 
Toolkit version 5.x</flag>
                <flag name='sdl'>Adds support for Simple Direct Layer (media 
library)</flag>
        </use>
        <upstream>

diff --git a/games-emulation/ppsspp/ppsspp-1.1.0.ebuild 
b/games-emulation/ppsspp/ppsspp-1.1.0.ebuild
index 6bc431f..38dc392 100644
--- a/games-emulation/ppsspp/ppsspp-1.1.0.ebuild
+++ b/games-emulation/ppsspp/ppsspp-1.1.0.ebuild
@@ -14,9 +14,9 @@ EGIT_COMMIT="v${PV}"
 LICENSE="GPL-2"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
-IUSE="qt4 +sdl"
+IUSE="qt4 qt5 +sdl"
 REQUIRED_USE="
-       ?? ( qt4 sdl )
+       ?? ( qt4 qt5 sdl )
 "
 
 RDEPEND=""
@@ -36,6 +36,15 @@ DEPEND="
                dev-qt/qtmultimedia:4
                dev-qt/qt-mobility[multimedia]
        )
+       qt5? (
+               dev-qt/qtsvg:5
+               dev-qt/qtgui:5
+               dev-qt/qtcore:5
+               dev-qt/qtopengl:5
+               dev-qt/qtmultimedia:5
+               dev-qt/qtwidgets
+               dev-qt/qt-mobility[multimedia]
+       )
 "
 
 src_unpack() {
@@ -44,8 +53,10 @@ src_unpack() {
        if use qt4 ; then
                cd "${WORKDIR}"/"${P}"/Qt || die
                qt4-r2_src_unpack
+       elif use qt5 ; then
+               cd "${WORKDIR}"/"${P}"/Qt || die
+               qt4-r2_src_unpack
        fi
-       cp /usr/portage/distfiles/ppsspp-icon.png  "${WORKDIR}"/"${P}"/
 }
 
 src_prepare() {
@@ -56,6 +67,9 @@ src_prepare() {
        if use qt4 ; then
                cd "${WORKDIR}"/"${P}"/Qt || die
                qt4-r2_src_prepare
+       elif use qt5 ; then
+               cd "${WORKDIR}"/"${P}"/Qt || die
+               qt4-r2_src_prepare
        else
                cmake-utils_src_prepare
        fi
@@ -66,6 +80,10 @@ src_configure() {
                cd "${WORKDIR}"/"${P}"/Qt || die
                qt4-r2_src_configure
                eqmake4 "${WORKDIR}"/"${P}"/Qt/PPSSPPQt.pro
+       elif use qt5 ; then
+               cd "${WORKDIR}"/"${P}"/Qt || die
+               qt4-r2_src_configure
+               eqmake5 "${WORKDIR}"/"${P}"/Qt/PPSSPPQt.pro
        else
                cmake-utils_src_configure
        fi
@@ -75,6 +93,9 @@ src_compile() {
        if use qt4 ; then
                cd "${WORKDIR}"/"${P}"/Qt || die
                qt4-r2_src_compile
+       elif use qt5 ; then
+               cd "${WORKDIR}"/"${P}"/Qt || die
+               qt4-r2_src_compile
        else
                cmake-utils_src_compile
        fi
@@ -84,6 +105,9 @@ src_install() {
        if use qt4 ; then
                exeinto /usr/games/bin
                newexe "${WORKDIR}"/"${P}"/Qt/ppsspp ppsspp
+       elif use qt5 ; then
+               exeinto /usr/games/bin
+               newexe "${WORKDIR}"/"${P}"/Qt/ppsspp ppsspp
        else
                exeinto /usr/games
                dobin "${FILESDIR}"/ppsspp

diff --git a/games-emulation/ppsspp/ppsspp-1.1.1.ebuild 
b/games-emulation/ppsspp/ppsspp-1.1.1.ebuild
index 6de52a1..38dc392 100644
--- a/games-emulation/ppsspp/ppsspp-1.1.1.ebuild
+++ b/games-emulation/ppsspp/ppsspp-1.1.1.ebuild
@@ -8,15 +8,15 @@ inherit eutils cmake-utils qt4-r2 git-r3
 
 DESCRIPTION="A PSP emulator written in C++."
 HOMEPAGE="http://www.ppsspp.org/";
-EGIT_REPO_URI="git://github.com/hrydgard/ppsspp.git"
+EGIT_REPO_URI="git://github.com/hrydgard/${PN}.git"
 EGIT_COMMIT="v${PV}"
 
 LICENSE="GPL-2"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
-IUSE="qt4 +sdl"
+IUSE="qt4 qt5 +sdl"
 REQUIRED_USE="
-       ?? ( qt4 sdl )
+       ?? ( qt4 qt5 sdl )
 "
 
 RDEPEND=""
@@ -36,6 +36,15 @@ DEPEND="
                dev-qt/qtmultimedia:4
                dev-qt/qt-mobility[multimedia]
        )
+       qt5? (
+               dev-qt/qtsvg:5
+               dev-qt/qtgui:5
+               dev-qt/qtcore:5
+               dev-qt/qtopengl:5
+               dev-qt/qtmultimedia:5
+               dev-qt/qtwidgets
+               dev-qt/qt-mobility[multimedia]
+       )
 "
 
 src_unpack() {
@@ -44,8 +53,10 @@ src_unpack() {
        if use qt4 ; then
                cd "${WORKDIR}"/"${P}"/Qt || die
                qt4-r2_src_unpack
+       elif use qt5 ; then
+               cd "${WORKDIR}"/"${P}"/Qt || die
+               qt4-r2_src_unpack
        fi
-       cp /usr/portage/distfiles/ppsspp-icon.png  "${WORKDIR}"/"${P}"/
 }
 
 src_prepare() {
@@ -56,6 +67,9 @@ src_prepare() {
        if use qt4 ; then
                cd "${WORKDIR}"/"${P}"/Qt || die
                qt4-r2_src_prepare
+       elif use qt5 ; then
+               cd "${WORKDIR}"/"${P}"/Qt || die
+               qt4-r2_src_prepare
        else
                cmake-utils_src_prepare
        fi
@@ -66,6 +80,10 @@ src_configure() {
                cd "${WORKDIR}"/"${P}"/Qt || die
                qt4-r2_src_configure
                eqmake4 "${WORKDIR}"/"${P}"/Qt/PPSSPPQt.pro
+       elif use qt5 ; then
+               cd "${WORKDIR}"/"${P}"/Qt || die
+               qt4-r2_src_configure
+               eqmake5 "${WORKDIR}"/"${P}"/Qt/PPSSPPQt.pro
        else
                cmake-utils_src_configure
        fi
@@ -75,6 +93,9 @@ src_compile() {
        if use qt4 ; then
                cd "${WORKDIR}"/"${P}"/Qt || die
                qt4-r2_src_compile
+       elif use qt5 ; then
+               cd "${WORKDIR}"/"${P}"/Qt || die
+               qt4-r2_src_compile
        else
                cmake-utils_src_compile
        fi
@@ -84,6 +105,9 @@ src_install() {
        if use qt4 ; then
                exeinto /usr/games/bin
                newexe "${WORKDIR}"/"${P}"/Qt/ppsspp ppsspp
+       elif use qt5 ; then
+               exeinto /usr/games/bin
+               newexe "${WORKDIR}"/"${P}"/Qt/ppsspp ppsspp
        else
                exeinto /usr/games
                dobin "${FILESDIR}"/ppsspp

diff --git a/games-emulation/ppsspp/ppsspp-9999.ebuild 
b/games-emulation/ppsspp/ppsspp-9999.ebuild
index d9166bb..fdfb52b 100644
--- a/games-emulation/ppsspp/ppsspp-9999.ebuild
+++ b/games-emulation/ppsspp/ppsspp-9999.ebuild
@@ -8,14 +8,14 @@ inherit eutils cmake-utils qt4-r2 git-r3
 
 DESCRIPTION="A PSP emulator written in C++."
 HOMEPAGE="http://www.ppsspp.org/";
-EGIT_REPO_URI="git://github.com/hrydgard/ppsspp.git"
+EGIT_REPO_URI="git://github.com/hrydgard/${PN}.git"
 
 LICENSE="GPL-2"
 SLOT="0"
 KEYWORDS=""
-IUSE="qt4 +sdl"
+IUSE="qt4 qt5 +sdl"
 REQUIRED_USE="
-       ?? ( qt4 sdl )
+       ?? ( qt4 qt5 sdl )
 "
 
 RDEPEND=""
@@ -35,6 +35,15 @@ DEPEND="
                dev-qt/qtmultimedia:4
                dev-qt/qt-mobility[multimedia]
        )
+       qt5? (
+               dev-qt/qtsvg:5
+               dev-qt/qtgui:5
+               dev-qt/qtcore:5
+               dev-qt/qtopengl:5
+               dev-qt/qtmultimedia:5
+               dev-qt/qtwidgets
+               dev-qt/qt-mobility[multimedia]
+       )
 "
 
 src_unpack() {
@@ -43,8 +52,10 @@ src_unpack() {
        if use qt4 ; then
                cd "${WORKDIR}"/"${P}"/Qt || die
                qt4-r2_src_unpack
+       elif use qt5 ; then
+               cd "${WORKDIR}"/"${P}"/Qt || die
+               qt4-r2_src_unpack
        fi
-       cp /usr/portage/distfiles/ppsspp-icon.png  "${WORKDIR}"/"${P}"/
 }
 
 src_prepare() {
@@ -55,6 +66,9 @@ src_prepare() {
        if use qt4 ; then
                cd "${WORKDIR}"/"${P}"/Qt || die
                qt4-r2_src_prepare
+       elif use qt5 ; then
+               cd "${WORKDIR}"/"${P}"/Qt || die
+               qt4-r2_src_prepare
        else
                cmake-utils_src_prepare
        fi
@@ -65,6 +79,10 @@ src_configure() {
                cd "${WORKDIR}"/"${P}"/Qt || die
                qt4-r2_src_configure
                eqmake4 "${WORKDIR}"/"${P}"/Qt/PPSSPPQt.pro
+       elif use qt5 ; then
+               cd "${WORKDIR}"/"${P}"/Qt || die
+               qt4-r2_src_configure
+               eqmake5 "${WORKDIR}"/"${P}"/Qt/PPSSPPQt.pro
        else
                cmake-utils_src_configure
        fi
@@ -74,6 +92,9 @@ src_compile() {
        if use qt4 ; then
                cd "${WORKDIR}"/"${P}"/Qt || die
                qt4-r2_src_compile
+       elif use qt5 ; then
+               cd "${WORKDIR}"/"${P}"/Qt || die
+               qt4-r2_src_compile
        else
                cmake-utils_src_compile
        fi
@@ -83,6 +104,9 @@ src_install() {
        if use qt4 ; then
                exeinto /usr/games/bin
                newexe "${WORKDIR}"/"${P}"/Qt/ppsspp ppsspp
+       elif use qt5 ; then
+               exeinto /usr/games/bin
+               newexe "${WORKDIR}"/"${P}"/Qt/ppsspp ppsspp
        else
                exeinto /usr/games
                dobin "${FILESDIR}"/ppsspp

Reply via email to